# Generated by Django 3.2.2 on 2021-08-18 14:03

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('operators', '0006_add_domain'),
        ('iclass', '0002_create_groups'),
    ]

    operations = [
        migrations.RemoveField(
            model_name='historicalserviceorderslackmessage',
            name='channel',
        ),
        migrations.RemoveField(
            model_name='serviceorderslackmessage',
            name='channel',
        ),
        migrations.AlterField(
            model_name='historicalserviceorderslackmessage',
            name='operator',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='operators.operatormodel'),
        ),
        migrations.AlterField(
            model_name='serviceorderslackmessage',
            name='operator',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='operators.operatormodel'),
        ),
    ]
